## parameter parameter |

## Functions

#define | glibtop_get_parameter()
#define | glibtop_set_parameter()
size_t | glibtop_get_parameter_l ()
void | glibtop_set_parameter_l ()

## Types and Values

#define | GLIBTOP_PARAM_METHOD
#define | GLIBTOP_PARAM_FEATURES
#define | GLIBTOP_PARAM_COMMAND
#define | GLIBTOP_PARAM_HOST
#define | GLIBTOP_PARAM_PORT
#define | GLIBTOP_PARAM_ERROR_METHOD
#define | GLIBTOP_PARAM_REQUIRED

## Includes

    #include <glibtop/parameter.h>

## Description

## Functions

### glibtop_get_parameter()

    #define glibtop_get_parameter(p1,p2,p3) glibtop_get_parameter_l(glibtop_global_server,p1,p2,p3)

### glibtop_set_parameter()

    #define glibtop_set_parameter(p1,p2,p3) glibtop_set_parameter_l(glibtop_global_server,p1,p2,p3)

### glibtop_get_parameter_l ()

    size_t
    glibtop_get_parameter_l (glibtop *server,
                             const unsigned parameter Param2,
                             void *data_ptr,
                             size_t data_size);

### glibtop_set_parameter_l ()

    void
    glibtop_set_parameter_l (glibtop *server,
                             const unsigned parameter Param2,
                             const void *data_ptr,
                             size_t data_size);

## Types and Values

### GLIBTOP_PARAM_METHOD

    #define GLIBTOP_PARAM_METHOD		1

### GLIBTOP_PARAM_FEATURES

    #define GLIBTOP_PARAM_FEATURES		2

### GLIBTOP_PARAM_COMMAND

    #define GLIBTOP_PARAM_COMMAND		3

### GLIBTOP_PARAM_HOST

    #define GLIBTOP_PARAM_HOST		4

### GLIBTOP_PARAM_PORT

    #define GLIBTOP_PARAM_PORT		5

### GLIBTOP_PARAM_ERROR_METHOD

    #define GLIBTOP_PARAM_ERROR_METHOD 6

### GLIBTOP_PARAM_REQUIRED

    #define GLIBTOP_PARAM_REQUIRED		7